commands = {
	-- verejne
	help = function(user, arg)
		result =
		"\013\010"..
		"\013\010Prikazy:"..
		"\013\010"..
		"\013\010.help - vypise tento seznam"..
		"\013\010.about - info o wmBotovi"..
		"\013\010.cas - vypise aktualni cas"..
		"\013\010.kdojsem - vypise zakladni informace o uzivateli"..
		"\013\010.operatori - vypise seznam botem registrovanych operatoru (vcetne jejich urovne)"..
		"\013\010.ophelp - vypise napovedu pro operatory"..
		"\013\010"
		if modulehelp then
			result = result..
			"\013\010Moduly:"..
			modulehelp..
			"\013\010"
		end
		return result
	end,
	cas = function(user, arg)
		return "Je presne "..date("%H:%M")
	end,
	kdojsem = function(user, arg)
		user:SendPM(scriptbot, whois(user))
	end,
	operatori = function(user, arg)
		result = "\013\010Operatori ktere registruji: "
		for key, value in ops do
			result = result.."\013\010"..key.." ("..value.level.." - "..levels[value.level]..")"
		end
		return result
	end,
	about = function(user, arg)
		result = 
		"\013\010"..aboutinfo.." by wintermute"..
		"\013\010Nactene moduly: "
		i, name = next(modules)
		if i then
			result = result..name
			i, name = next(modules, i)
			while i do
				result = result..", "..name
				i, name = next(modules, i)
			end
		else
			result = result.."<zadne moduly>"
		end
		return result
	end,
	
	-- operatori
	ophelp = function(user, arg)
		if ops[user.sName] then
			user:SendPM(scriptbot,
			"\013\010"..
			"\013\010Prikazy pro operatora:"..
			"\013\010"..
			"\013\010.ophelp - vypise tento seznam"..
			"\013\010.kdoje jmeno - vypise zakladni info o uzivateli"..
			"\013\010.pridejopa jmeno heslo uroven (0 = Reg.uzivatel, 1 = Operator, 2 = Duveryhodny operator, 3 = Administrator, 4 = Majitel hubu) - prida operatora"..
			"\013\010.odeberopa jmeno - odebere operatora"..
			"\013\010.nastavuroven jmeno_operatora uroven - nastavi uroven operatora"..
			"\013\010.heslo noveheslo - nastavi nove heslo"..
			"\013\010")
		end
	end,
	kdoje = function(user, arg)
		if ops[user.sName] then
			s, e, name = strfind(arg, "(.+)")
			if name then
				targuser = GetItemByName(name)
				if targuser then
					user:SendPM(scriptbot, whois(targuser))
				else
					user:SendPM(scriptbot, "Uzivatel "..name.." neni na hubu!")
				end
			else
				user:SendPM(scriptbot, "Neplatne parametry")
			end
		end
	end,
	pridejopa = function(user, arg)
		curop = ops[user.sName]
		if curop then
			s, e, name = strfind(arg, "(.+)%s+%w+%s+%d+")
			s, e, pass = strfind(arg, ".+%s+(%w+)%s+%d+")
			s, e, level = strfind(arg, ".+%s+%w+%s+(%d+)")
			level = tonumber(level)
			if name and pass and (level >= 0) and (level <= 4) then
				if level < curop.level then
					ops[name] = { level = level }
					saveops(ops)
					if level > 0 then
						oplev = 1
					else
						oplev = 0
					end
					frmHub:AddRegUser(name, pass, oplev)
					user:SendPM(scriptbot, "Operator "..name.." pridan!")
				else
					user:SendPM(scriptbot, "Muzete pridavat operatory pouze s nizsi urovni nez mate vy (mate uroven "..levels[curop.level]..")")
				end
			else
				user:SendPM(scriptbot, "Neplatne parametry")
			end
		end
	end,
	odeberopa = function(user, arg)
		curop = ops[user.sName]
		if curop then
			s, e, name = strfind(arg, "(.+)")
			if name then
				if ops[name] then
					if ops[name].level < curop.level then
						ops[name] = nil
						saveops(ops)
						frmHub:DelRegUser(name)
						targuser = GetItemByName(name)
						user:SendPM(scriptbot, "Operator "..name.." odebran!")
					else
						user:SendPM(scriptbot, "Muzete odebirat operatory pouze s nizsi urovni nez mate vy (mate uroven "..curop.level.." - "..levels[curop.level]..")")
					end
				else
					user:SendPM(scriptbot, "Operator "..name.." neexistuje!")
				end
			else
				user:SendPM(scriptbot, "Neplatne parametry")
			end
		end
	end,
	nastavuroven = function(user, arg)
		curop = ops[user.sName]
		if curop then
			s, e, name = strfind(arg, "(.+)%s+%d")
			s, e, level = strfind(arg, ".+%s+(%d)")
			level = tonumber(level)
			if name and (level >= 0) and (level <= 4) then
				if ops[name] then
					if (ops[name].level < curop.level) and (level < curop.level) then
						ops[name].level = level
						saveops(ops)
						user:SendPM(scriptbot, "Uroven pro operatora "..name.." nastavena!")
					else
						user:SendPM(scriptbot, "Nemate potrebnou uroven pro provedeni (mate uroven "..curop.level.." - "..levels[curop.level]..")")
					end
				else
					targuser = GetItemByName(name)
					if targuser then
						if targuser.bOperator then
							ops[name] = { level = level }
							saveops(ops)
							user:SendPM(scriptbot, "Uroven pro operatora "..name.." nastavena!")
						else
							user:SendPM(scriptbot, "Uzivatel "..name.." neni operator! (pouzijte prikaz .pridejopa)")
						end
					else
						user:SendPM(scriptbot, "Uzivatel "..name.." neni na hubu!")
					end
				end
			else
				user:SendPM(scriptbot, "Neplatne parametry")
			end
		end
	end,
	nastavheslo = function(user, arg)
		curop = ops[user.sName]
		if curop then			
			s, e, pass = strfind(arg, "(%w+)")
			if pass then
				frmHub:DelRegUser(user.sName)
				frmHub:AddRegUser(user.sName, pass, 1)
				user:SendPM(scriptbot, "Heslo zmeneno!")
			else
				user:SendPM(scriptbot, "Neplatne parametry")
			end
		end
	end
}