scriptbot = config.botname

aboutinfo = "wmBot 0.1 alpha"
welcome =
"\013\010"..
"\013\010"..aboutinfo..
"\013\010-=============-"..
"\013\010Pro napovedu napiste: .help"..
"\013\010Prikazy muzete psat do hlavniho chatu nebo posilat jako PM pro "..scriptbot..
"\013\010"


levels = {
	[0] = "reg. uzivatel",
	[1] = "operator",
	[2] = "duveryhodny operator",
	[3] = "administrator",
	[4] = "majitel hubu"
}

dofile("wmBot/helpers.lua")
dofile("wmBot/files.lua")
dofile("wmBot/commands.lua")

function handlebotcmd(user, cmd)
	if installed == 1 then
		for name, f in commands do
			if strsub(strlower(cmd), 1, strlen(name)) == name then
				arg = strsub(cmd, strlen(name) + 2)
				-- odebrat mezery z konce a zacatku parametru
				while strsub(arg, 1, 1) == " " do
					arg = strsub(arg, 2)
				end
				while strsub(arg, strlen(arg)) == " " do
					arg = strsub(arg, 1, strlen(arg) - 1)
				end
				return f(user, arg)
			end			
		end
	else
		if (strsub(strlower(cmd), 1, 7) == "install") and user.bOperator then
			ops = { [user.sName] = { level = 4 } }
			saveops(ops)
			user:SendPM(scriptbot, "Byl jste nastaven jako "..levels[4]..", skript je nyni pripraven prijmat prikazy.")
			if config.showwelcome == 1 then
				SendToAll(scriptbot, welcome)
			end
			installed = 1
		end
	end
end

function recieved(user, chat)
	text = getchattext(chat)
	if strsub(text, 1, 1) == "." then
		cmd = strsub(text, 2)
		return handlebotcmd(user, cmd)
	end
end

function Main()
	frmHub:RegBot(scriptbot)
	SendToAll(scriptbot, "Spousti se "..aboutinfo.."...");
	ops = loadops()
	if ops == nil then
		installed = 0
	else
		installed = 1
	end
	if getn(modules) >= 1 then
		modulehelp = ""
		for index, value in modules do
			dofile("wmBot/modules/"..value.."/module.lua")
		end
	end
	if installed == 1 then
		if config.showwelcome == 1 then
			SendToAll(scriptbot, welcome)
		end
	else
		SendToAll(scriptbot, "wmBot detekoval prvni spusteni, spustte prosim prikaz .install")
	end
end

function DataArrival(user, data)
	if strsub(data, 1, 1) == "<" then
		result = recieved(user, data)
		if result then
			SendToAll(scriptbot, result)
		end
		if config.floodprotect == 1 then
			
		end
	elseif strsub(data, 1, 5) == "$To: " then
		s, e, recipient = strfind(data, "%$To: (.+) From:.*")
		if strlower(recipient) == strlower(scriptbot) then
			s, e, msg = strfind(data, "%$To: .* From: .* %$(.+)")
			if msg then
				result = recieved(user, msg)
				if result then
					user:SendPM(scriptbot, result)
				end
			end
		end
	end
end

function NewUserConnected(user)
	if installed == 1 then
		if config.showwelcome == 1 then
			user:SendData("<"..scriptbot.."> "..welcome)
		end
	end
end

function OpConnected(user)
	if installed == 1 then
		if config.showwelcome == 1 then
			user:SendData("<"..scriptbot.."> "..welcome)
		end
	else
		user:SendPM(scriptbot, "wmBot detekoval prvni spusteni, pokud jste majitel hubu, spustte prosim prikaz .install")
	end
end